## gate.event
Interface CreoleListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  CreoleRegister

All Known Implementing Classes:
  CorpusImpl, CreoleRegisterImpl, DocumentImpl, SerialController, SerialCorpusImpl, ResourceParametersEditor, ApplicationEditor, MainFrame, SerialControllerEditor, NameBearerHandle, ParameterDisjunction, JDBCDataStore

public interface CreoleListener
extends EventListener

A listener for events fired by the `CreoleRegister` (`CreoleEvent`). In a Gate system there are many classes that can fire `CreoleEvent`s but all this events are collected and fired back by the `CreoleRegister` that can be obtained with a call to `Gate.getCreoleRegister()`

Method Summary
`void` `datastoreClosed(CreoleEvent e)` Called when a `DataStore` has been closed
`void` `datastoreCreated(CreoleEvent e)` Called when a `DataStore` has been created
`void` `datastoreOpened(CreoleEvent e)` Called when a `DataStore` has been opened
`void` `resourceLoaded(CreoleEvent e)` Called when a new `Resource` has been loaded into the system
`void` `resourceUnloaded(CreoleEvent e)` Called when a `Resource` has been removed from the system

Method Detail

### resourceLoaded

    public void resourceLoaded(CreoleEvent e)

  Called when a new `Resource` has been loaded into the system

### resourceUnloaded

    public void resourceUnloaded(CreoleEvent e)

  Called when a `Resource` has been removed from the system

### datastoreOpened

    public void datastoreOpened(CreoleEvent e)

  Called when a `DataStore` has been opened

### datastoreCreated

    public void datastoreCreated(CreoleEvent e)

  Called when a `DataStore` has been created

### datastoreClosed

    public void datastoreClosed(CreoleEvent e)

  Called when a `DataStore` has been closed